from lib.echo import echo
from pathlib import Path
import yaml

def obter_configuracoes(arquivo_configuracao):
    if not arquivo_configuracao or not Path(arquivo_configuracao).exists():
        echo("Arquivo de configuracao nao informado ou inexistente" , "error")
        return None
    
    with open(arquivo_configuracao) as f:    
        configuracao = yaml.load(f, Loader=yaml.FullLoader) 

    return configuracao